commit:     b5a4470582c02d92f494de00bcd1c256528fbd9e
Author:     Oz N Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Sun Nov  8 17:59:06 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 21:26:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5a44705

dev-python/pipenv: bump version to 2020.11.4.

Also, improve dependency declarations.

Closes: https://bugs.gentoo.org/748138
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18187
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/pipenv/Manifest                |  1 +
 dev-python/pipenv/pipenv-2020.11.4.ebuild | 52 +++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
index 0d32f4ddc0d..a5728565415 100644
--- a/dev-python/pipenv/Manifest
+++ b/dev-python/pipenv/Manifest
@@ -1 +1,2 @@
+DIST pipenv-2020.11.4.tar.gz 11574683 BLAKE2B 
cb2ac4ba6b07377a3a5540b23756afac38a02691e495ba93031815417d001701b919221fd83d0f9e6b94d4f28c1fa754c2c31e289830305a8c8ac75d847209c4
 SHA512 
c9015eb9a449fa517f31619d1fec5d99882da915a50e189ba6ab9c7c147862f9734f0df200330d666380afe5d2cf52d18015c539635ca6459042ab50d3ccd059
 DIST pipenv-2020.8.13.tar.gz 11573493 BLAKE2B 
ac6c6f0336f0c675f73fbecfdefe158eb2a53b5aa4559850b3c9a050404d9d18b0ff2ca3cb62031da027937244a6bbb0d4c1ec433073e429518ec0ea908cb12e
 SHA512 
90ccaf386bc68d856ee9c645084cb65c4213902a8c87e2059cc2274b88d922c3b02c58c15d05945e1f61e8b816ef92a11672cadaf125143bd5019ab25ff0b19e

diff --git a/dev-python/pipenv/pipenv-2020.11.4.ebuild 
b/dev-python/pipenv/pipenv-2020.11.4.ebuild
new file mode 100644
index 00000000000..7dbeba42f1d
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2020.11.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/";
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/pip[${PYTHON_USEDEP}]
+       >=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
+       dev-python/virtualenv-clone[${PYTHON_USEDEP}]
+       "
+
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               <dev-python/pytest-5[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+       )"
+
+src_prepare() {
+       # remove vendored version of PyYAML that is backported to Python2
+       # this should be removed when upstream removes support for Python2
+       rm -vR "${S}/${PN}/patched/yaml2/" || die
+       # disable running of unittests in parallel with xdist
+       sed -i 's/addopts = -ra -n auto/;&/g' setup.cfg || die
+       sed -i 's/plugins = xdist/;&/g' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pytest -vvv -x -m "not cli and not needs_internet" tests/unit/ || die
+}

Reply via email to